From 745ebd5a9db4956328f42cf5a6d793cd28213a56 Mon Sep 17 00:00:00 2001
Date: Sat, 5 Jun 2021 11:57:45 -0700
Subject: [PATCH 25/25] lldb: add defines needed for older SDKs

fixes build of lldb back to at least 10.12
---
 lldb/tools/debugserver/source/DNB.h              |  4 ++++
 .../debugserver/source/MacOSX/MachProcess.mm     | 16 ++++++++++++++++
 2 files changed, 20 insertions(+)

diff --git a/lldb/tools/debugserver/source/DNB.h b/lldb/tools/debugserver/source/DNB.h
index 069c62dc41d8..edfd55dd8422 100644
--- a/lldb/tools/debugserver/source/DNB.h
+++ b/lldb/tools/debugserver/source/DNB.h
@@ -34,6 +34,10 @@
 #define CPU_TYPE_ARM64_32 ((cpu_type_t)12 | 0x02000000)
 #endif
 
+#ifndef CPU_SUBTYPE_ARM64E
+#define CPU_SUBTYPE_ARM64E              ((cpu_subtype_t) 2)
+#endif
+
 typedef bool (*DNBShouldCancelCallback)(void *);
 
 void DNBInitialize();
diff --git a/lldb/tools/debugserver/source/MacOSX/MachProcess.mm b/lldb/tools/debugserver/source/MacOSX/MachProcess.mm
index 1b962da8d02b..6c27212c6e49 100644
--- a/lldb/tools/debugserver/source/MacOSX/MachProcess.mm
+++ b/lldb/tools/debugserver/source/MacOSX/MachProcess.mm
@@ -47,6 +47,22 @@
 #include "CFBundle.h"
 #include "CFString.h"
 
+#ifndef PLATFORM_MACOS
+#define PLATFORM_MACOS 1
+#endif
+
+#ifndef PLATFORM_IOS
+#define PLATFORM_IOS 2
+#endif
+
+#ifndef PLATFORM_TVOS
+#define PLATFORM_TVOS 3
+#endif
+
+#ifndef PLATFORM_WATCHOS
+#define PLATFORM_WATCHOS 4
+#endif
+
 #ifndef PLATFORM_BRIDGEOS
 #define PLATFORM_BRIDGEOS 5
 #endif
-- 
2.21.1 (Apple Git-122.3)

